===Installation
    npm install gzip
    
===Usage
    var gzip = require('gzip');
    
    gzip('some text', function(err, data){
      // By default:
      //   compression = 8
      //   encoding = utf8
      console.log(data);
    });
    gzip('some text', 'ascii', function(err, data){
      // Change encoding
      console.log(data);
    });
    gzip(buffer, 4, function(err, data){
      // Gzip buffer with compression rate = 4
      console.log(data);
    });
